package org.rcisoft.alibaba.faceVerify.service;

import com.aliyun.cloudauth20190307.models.InitFaceVerifyRequest;
import jakarta.servlet.http.HttpServletRequest;
import org.rcisoft.business.memInfo.entity.MemInfo;

import java.util.Map;

public interface FaceVerifyService {
    /**
     * 发起认证请求
     * @param memInfo
     * @return
     */
    Map<String,String> initFaceVerify(HttpServletRequest request,MemInfo memInfo);

    /**
     * 获取认证详细数据
     * @param certifyId
     * @return
     */
    Map<String,String> describeFaceVerify(InitFaceVerifyRequest request);

    /**
     * 获取认证详细数据回调地址
     * @param certifyId
     * @return
     */
    void callbackFaceVerify(String callbackToken, String certifyId, String passed);
}
